/*****************************/
/***** File: eckbox.h    *****/
/***** Eckbox functions! *****/
/*****************************/

#include "io.h"
#include "timing.h"
#define ECKBOX_H

/***** Function: eckbox_init               *****/
/***** initializes eckbox device!          *****/
/***** Simply makes sure next pixel is 0,0 *****/

void eckbox_init ()
{
  vga_setcolor(5);
  vga_drawpixel(1,1);
  sleep(2);
  int b1=inb(0x378);
  while(b1>=(inb(0x378)+20))
  {
    asm("nop");
  }
  timing_sleep(timing_get_vref());
}

/***** Function: eckbox_get_pixel_color  *****/
/***** gets color of current pixel       *****/
/***** With svgalib, could result        *****/
/***** in some funky colors              *****/

int eckbox_get_pixel_color ()
{
  int b=inb(0x378);
  return b;
}
